> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bound prompt template version by ID



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json post /api/v2/projects/{project_id}/prompt-templates/id/{template_id}/versions/{version_id}
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/prompt-templates/id/{template_id}/versions/{version_id}:
    post:
      tags:
        - Prompt Templates
      summary: Get bound prompt template version by ID
      operationId: post_get_bound_by_template_version_id
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: template_id
          in: path
          required: true
          schema:
            type: string
        - name: version_id
          in: path
          required: true
          schema:
            type: string
        - name: environment
          in: query
          schema:
            default: null
            title: Environment
            type:
              - string
              - 'null'
        - name: format
          in: query
          schema:
            default: null
            title: Format
            type:
              - string
              - 'null'
        - name: flavor_name
          in: query
          schema:
            default: null
            title: Flavor Name
            type:
              - string
              - 'null'
      requestBody:
        content:
          application/json:
            schema:
              additionalProperties:
                $ref: '#/components/schemas/JSONValue'
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  prompt_template_id:
                    format: uuid
                    title: Prompt Template Id
                    type: string
                  prompt_template_version_id:
                    format: uuid
                    title: Prompt Template Version Id
                    type: string
                  prompt_template_name:
                    title: Prompt Template Name
                    type: string
                  version_name:
                    title: Version Name
                    type:
                      - string
                      - 'null'
                  version_description:
                    title: Version Description
                    type:
                      - string
                      - 'null'
                  metadata:
                    $ref: '#/components/schemas/PromptTemplateMetadata'
                  format_version:
                    title: Format Version
                    type: integer
                  project_id:
                    format: uuid
                    title: Project Id
                    type: string
                required:
                  - prompt_template_id
                  - prompt_template_version_id
                  - prompt_template_name
                  - version_name
                  - version_description
                  - metadata
                  - format_version
                  - project_id
                title: PromptTemplateVersion
                type: object
          description: >-
            PromptTemplateVersion(prompt_template_id: uuid.UUID,
            prompt_template_version_id: uuid.UUID, prompt_template_name: str,
            version_name: Optional[str], version_description: Optional[str],
            metadata:
            server.api_routes.prompt_templates_api_v2.PromptTemplateMetadata,
            format_version: int, project_id: uuid.UUID)
components:
  schemas:
    JSONValue:
      anyOf:
        - type: boolean
        - type: integer
        - type: number
        - type: string
        - additionalProperties:
            $ref: '#/components/schemas/JSONValue'
          type: object
        - items:
            $ref: '#/components/schemas/JSONValue'
          type: array
        - type: 'null'
    PromptTemplateMetadata:
      properties:
        provider:
          title: Provider
          type:
            - string
            - 'null'
        flavor:
          title: Flavor
          type:
            - string
            - 'null'
        model:
          title: Model
          type:
            - string
            - 'null'
        params:
          title: Params
          additionalProperties: true
          type:
            - object
            - 'null'
        provider_info:
          title: Provider Info
          additionalProperties: true
          type:
            - object
            - 'null'
      required:
        - provider
        - flavor
        - model
        - params
        - provider_info
      title: PromptTemplateMetadata
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````